Bug 700776 - User theme extension not compatible with gnome shell version
User theme extension not compatible with gnome shell version
Status: CLOSED DUPLICATE of bug 708230
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-29 07:16 EDT by jvc26
Modified: 2011-05-27 21:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-27 21:51:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jvc26 2011-04-29 07:16:10 EDT
Description of problem:

Using most recent updates gnome shell user theme extension fails to load. Looking glass suggests this is due to incompatible versions between gnome shell and the extension/and or gjs version. No further updates available at this time.

Version-Release number of selected component (if applicable):

Name        : gnome-shell-extensions-common
Arch        : noarch
Version     : 3.0.1
Release     : 1.f016b9git.fc15

Name        : gnome-shell-extensions-user-theme
Arch        : noarch
Version     : 3.0.1
Release     : 1.f016b9git.fc15

Name        : gnome-shell
Arch        : x86_64
Version     : 3.0.0.2
Release     : 2.fc15

How reproducible:

Load gnome shell, no extensions are loaded.
Comment 1 Mohamed El Morabity 2011-04-29 07:30:52 EDT
Thanks for your bug report.

The latest version of extensions were built for the 3.0.1 version of GNOME Shell. You should first update gnome-shell and then reload it. The extensions should be so available again.
Comment 2 Mohamed El Morabity 2011-04-29 07:31:52 EDT
Anyway I'll fix the package to avoid such a situation in the future.
Comment 3 jvc26 2011-04-29 07:41:35 EDT
How can I update gnome-shell, it says there are no updates available? Is there a way to force it to check?

Thanks,

J
Comment 4 Mohamed El Morabity 2011-04-29 07:49:50 EDT
You could try to update your yum metadatas by cleaning them:
   yum clean all
Then try to launch an update of your system.
Comment 5 jvc26 2011-04-29 10:36:05 EDT
That appears to have not made any difference:

$ yum clean all
$ yum update

Did little, and trying install gnome-shell still told me it was at the most recent version, 3.0.0.2...

Any other ideas?

J
Comment 6 jvc26 2011-04-30 05:25:30 EDT
Judging from this https://admin.fedoraproject.org/updates/mutter-3.0.1-1.fc15,gnome-shell-3.0.1-2.fc15?_csrf_token=dd2e136147228d82a74f6edda74ffabfb523c070 I'm guessing it hasn't been pushed to release yet?

J
Comment 7 Mohamed El Morabity 2011-04-30 10:46:18 EDT
(In reply to comment #6)
> Judging from this
> https://admin.fedoraproject.org/updates/mutter-3.0.1-1.fc15,gnome-shell-3.0.1-2.fc15?_csrf_token=dd2e136147228d82a74f6edda74ffabfb523c070
> I'm guessing it hasn't been pushed to release yet?
It seems the package gnome-shell-3.0.1-1.fc15 was retired from updates-testing. Some people who regularly update their F15 have this version of GS installed. The others should wait the availability of gnome-shell-3.0.1-2.fc15.
Comment 8 Scott Dodson 2011-05-27 21:51:42 EDT

*** This bug has been marked as a duplicate of bug 708230 ***

Note You need to log in before you can comment on or make changes to this bug.